Bug 412531 - Review Request: Kitsune - Mathematical game
Review Request: Kitsune - Mathematical game
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 13:15 EST by Martin-Gomez Pablo
Modified: 2008-03-01 04:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 04:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin-Gomez Pablo 2007-12-05 13:15:01 EST
Spec URL: http://home.scarlet.be/~tsi30161/kitsune.spec
SRPM URL: http://home.scarlet.be/~tsi30161/kitsune-2.0-2.fc7.src.rpm
Description: Kitsune is a software aiming at solving digit problem of a famous French television game show Des chiffres et des lettres (Countdown in England)

Hi,
I thanks the French Fedora's community that provides a useful support and help for doing et pre-review this package. As it's me first review request, I need sponsor. Thanks.
Comment 1 Mamoru TASAKA 2007-12-10 01:05:40 EST
For 2.0-2

* Different spec file?
  - First of all, the spec file of 2.0-2 in your srpm and the spec
    linked from your comment 0 differ.

* Source0
  - $ wget -N
'http://kitsune.tuxfamily.org/download.php?url=kitsune2.0/kitsune-2.0.tar.gz'
    returns 404 (Not Found)
  - Instread, I cound find
    http://kitsune.tuxfamily.org/download.php?url=kitsune2.0/kitsune2.0.tar.gz
    This is redirected to
    http://download.tuxfamily.org/kitsune/kitsune2.0/kitsune2.0.tar.gz

    However:
    - The names differ
    - And the two tarballs actually differ.
------------------------------------------------------
121872 2007-11-07 21:28 kitsune-2.0-2.fc7/kitsune-2.0.tar.gz
122101 2007-05-27 23:27 kitsune2.0.tar.gz
------------------------------------------------------

* Unpacking SOURCE2
  - Please check the invokation format of %setup.
    http://docs.fedoraproject.org/drafts/rpm-guide-en/ch09s04.html
    Usually this can be replaced by
-------------------------------------------------------
%setup -q -a 2
-------------------------------------------------------

* iconv of html texts
  - When changing the encoding of html files, you also have to
    modify its contents. For example, txt/about-fr.html contains:
-------------------------------------------------------
    10    <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
-------------------------------------------------------

* icon install
  - Would you simply the description like below?
-------------------------------------------------------
for f in 16 22 32 48 64 ; do
  mkdir -p  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${f}x${f}/apps
  install -p -m 0644 %{name}-icones/%{name}-${f}x${f}.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${f}x${f}/apps/%{name}.png
done
-------------------------------------------------------

* Directory ownership issue
-------------------------------------------------------
%files
%{_datadir}/icons/hicolor/
-------------------------------------------------------
  - This contains the directory %_datadir/icons/hicolor itself and
    all files/directories/etc under %_datadir/icons/hicolor.

    This is not proper because /usr/share/icons/hicolor, 
    /usr/share/icons/hicolor/22x22, etc are already owned by
    hicolor-icon-theme
Comment 2 Martin-Gomez Pablo 2007-12-12 16:49:49 EST
All issues fixed (just a little bit problem with the encoding, after the sed
script, Firefox doesn't want to open the html files). Thanks to tibbs on
fedora-devel to fix source issue.
Spec URL: http://home.scarlet.be/~tsi30161/kitsune.spec
SRPM URL: http://home.scarlet.be/~tsi30161/kitsune-2.0-3.fc7.src.rpm
Comment 3 Mamoru TASAKA 2007-12-13 01:31:47 EST
For 2.0-3:

* Macros in srpm %changelog
---------------------------------------------------------
kitsune.src:82: W: macro-in-%changelog setup
kitsune.src:85: W: macro-in-%changelog files
---------------------------------------------------------
  - For using macros in %changelog, please use %% to avoid
    macros expanding, like:
---------------------------------------------------------
* Wed Dec 12 2007 Martin-Gomez Pablo <pablo.martin-gomez@laposte.net> 2.0-3
- Change Source0 adress
- Change %%setup option
---------------------------------------------------------

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 4 Martin-Gomez Pablo 2007-12-15 10:05:58 EST
I've updated the files of my previous comment (too little change to change the
version). I'm doing some others packages, I'll put them on Bugzilla lately.
Comment 5 Martin-Gomez Pablo 2007-12-17 16:07:07 EST
An other package (bug 426026)who I've submit:
https://bugzilla.redhat.com/show_bug.cgi?id=426026
Comment 6 Mamoru TASAKA 2007-12-18 08:54:29 EST
Well. while gnome-menu-extended is problematic (as I wrote in
bug 426026), as rpm packaging itself is good,
I will sponsor you.

------------------------------------------------------
    This package (kitsune) is APPROVED by me
------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 7 Mamoru TASAKA 2007-12-24 01:10:23 EST
Now I should be sponsoring you. Please proceed following "Join" wiki
again.
Comment 8 Martin-Gomez Pablo 2007-12-29 17:56:12 EST
New Package CVS Request
=======================
Package Name: kitsune
Short Description: Program to solve digits problems
Owners: bouska
Branches: F-7 F-8
InitialCC: mtasaka
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-12-30 12:57:50 EST
cvs done.
Comment 10 Mamoru TASAKA 2008-01-06 10:56:24 EST
Please build this package on koji and request to push on bodhi system
for F-8/7 branches.
Comment 11 Mamoru TASAKA 2008-01-12 12:57:57 EST
Build seems okay. For F-8 and F-7 branches, please request to push kitsune
to stable or testing repository using bodhi system, then close this
bug as NEXTRELEASE.
Comment 12 Mamoru TASAKA 2008-01-14 13:28:37 EST
Closing as now kitsune is rebuilt on devel/F-8/F-7 and requests for
F-8/F-7 are done on bodhi.
Comment 13 Fedora Update System 2008-01-15 17:57:30 EST
kitsune-2.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kitsune'
Comment 14 Fedora Update System 2008-01-15 18:09:21 EST
kitsune-2.0-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kitsune'
Comment 15 Fedora Update System 2008-03-01 04:25:23 EST
kitsune-2.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-03-01 04:27:21 EST
kitsune-2.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.